Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.xml
Class JRCellContentsFactory

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRBaseFactory
          net.sf.jasperreports.crosstabs.xml.JRCellContentsFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

    public class JRCellContentsFactory

extends JRBaseFactory

Version:
  $Id: JRCellContentsFactory.java 3420 2010-02-18 09:17:47Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `ATTRIBUTE_backcolor`
`static java.lang.String` | `ATTRIBUTE_mode`
`static java.lang.String` | `ATTRIBUTE_style`
`static java.lang.String` | `ELEMENT_cellContents`

Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`digester`

Constructor Summary
`JRCellContentsFactory()`

Method Summary
`java.lang.Object` | `createObject(org.xml.sax.Attributes attributes)`

Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_cellContents

    public static final java.lang.String ELEMENT_cellContents

See Also:
  Constant Field Values

### ATTRIBUTE_backcolor

    public static final java.lang.String ATTRIBUTE_backcolor

See Also:
  Constant Field Values

### ATTRIBUTE_mode

    public static final java.lang.String ATTRIBUTE_mode

See Also:
  Constant Field Values

### ATTRIBUTE_style

    public static final java.lang.String ATTRIBUTE_style

See Also:
  Constant Field Values

Constructor Detail

### JRCellContentsFactory

    public JRCellContentsFactory()

Method Detail

### createObject

    public java.lang.Object createObject(org.xml.sax.Attributes attributes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com